<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Blog_Era_Plus
 */

get_header(); ?>
	<?php 
		$layout_class ='blog-col-6';
		$sidebar_layout = blog_era_plus_get_option( 'layout_options' ); 
		if( is_active_sidebar('sidebar-1')  && 'both-sidebar' ==  $sidebar_layout && is_active_sidebar('sidebar-left') ){
			$layout_class = 'blog-col-6';
		}
		elseif(  'no-sidebar' !== $sidebar_layout && ( is_active_sidebar('sidebar-1') || is_active_sidebar('sidebar-left') )  ){
			$layout_class = 'blog-col-8';
		} else{
			$layout_class = 'blog-col-12';
		}		
	?>
	
<?php 
	if( 'left' == $sidebar_layout || 'both-sidebar' == $sidebar_layout ):

		get_sidebar( 'left' );

	endif;
?>
	<div id="primary" class="content-area <?php echo esc_attr( $layout_class );?>">
		<main id="main" class="site-main">

			<div class="theiaStickySidebar">

				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'single' );

					the_post_navigation();

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				?>

			</div>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
	if( 'right' == $sidebar_layout || 'both-sidebar' == $sidebar_layout ):
		
		get_sidebar();

	endif;
get_footer();